unit Unit1;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, aceview, StdCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Report1: TMenuItem;
    Report2: TMenuItem;
    Memo1: TMemo;
    procedure Report1Click(Sender: TObject);
    procedure Report2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure MyViewEvent(av: TAceViewer);

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.DFM}

procedure TForm1.Report1Click(Sender: TObject);
var
  Frm: TForm2;
begin
  Frm := TForm2.Create(Application);
  Frm.Sctreport1.Run;
  Frm.Free;
end;

procedure TForm1.Report2Click(Sender: TObject);
var
  Frm: TForm3;
begin
  Frm := TForm3.Create(Application);
  Frm.Sctreport1.Run;
  Frm.Free;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  aceview.aceviewevent := MyViewEvent;
end;

procedure MyViewEvent(av: TAceViewer);
begin
  ShowMessage('My global event code got executed');
  { Note that you have a reference to the form passed as a parameter      }
  { so you can access its controls easily.                                }
  { the following code disables printing from the preview                 }
  { Use this event only for changes that should apply to                  }
  { ALL reports.  changes that are specific to one or a few               }
  { reports, see "Modifying the default previewer at runtime" in the help.}
  av.Print1.Enabled := False;
  av.Print1.Caption := 'tnirP';
  av.sendprinter.Enabled := False;
  av.sendprinter.hint := 'Printing is DISABLED';
end;

end.
